Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.ioca
Class ImageOutputControl

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.ioca.ImageOutputControl

All Implemented Interfaces:
  Streamable

    public class ImageOutputControl

extends AbstractAFPObject

The IM Image Output Control structured field specifies the position and orientation of the IM image object area and the mapping of the image points to presentation device pels.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`ImageOutputControl(int x, int y)` Constructor for the ImageOutputControl The x parameter specifies the offset, along the X-axis, of the IM image object area origin to the origin of the including page and the y parameter specifies the offset along the Y-axis.

Method Summary
`void` | `setOrientation(int orientation)` Sets the orientation which specifies the amount of clockwise rotation of the IM image object area.
`void` | `setSinglepoint(boolean singlepoint)` Sets the singlepoint, if true map an image point to a single presentation device pel in the IM image object area.
`void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageOutputControl

    public ImageOutputControl(int x,
                              int y)

  Constructor for the ImageOutputControl The x parameter specifies the offset, along the X-axis, of the IM image object area origin to the origin of the including page and the y parameter specifies the offset along the Y-axis. The offset is specified in image points and is resolved using the units of measure specified for the image in the IID structured field.

  Parameters:
    `x` - The X-axis offset.
    `y` - The Y-axis offset.

Method Detail

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

### setOrientation

    public void setOrientation(int orientation)

  Sets the orientation which specifies the amount of clockwise rotation of the IM image object area.

  Parameters:
    `orientation` - The orientation to set.

### setSinglepoint

    public void setSinglepoint(boolean singlepoint)

  Sets the singlepoint, if true map an image point to a single presentation device pel in the IM image object area. If false map an image point to two presentation device pels in the IM image object area (double-dot)

  Parameters:
    `singlepoint` - Use the singlepoint basis when true.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.